Loading...
Searching...
No Matches
TPC Namespace Reference

## Classes

struct | CurlDeleter
class | State
class | Stream
class | TPCHandler

## Typedefs

using | ManagedCurlHandle = std::unique_ptr<CURL, CurlDeleter>

## Enumerations

enum | LogMask { Debug = 0x01 , Info = 0x02 , Warning = 0x04 , Error = 0x08 , All = 0xff }
enum class | TpcType { Pull , Push }

## Typedef Documentation

## ManagedCurlHandle

using TPC::ManagedCurlHandle = std::unique_ptr<CURL, CurlDeleter>

Definition at line 43 of file XrdHttpTpcTPC.hh.

## Enumeration Type Documentation

## LogMask

enum TPC::LogMask

Enumerator
Debug |
Info |
Warning |
Error |
All |

Definition at line 27 of file XrdHttpTpcTPC.hh.

{
Debug = 0x01,
Info = 0x02,
Warning = 0x04,
Error = 0x08,
All = 0xff
};
TPC::All
@ All
Definition XrdHttpTpcTPC.hh:32
TPC::Info
@ Info
Definition XrdHttpTpcTPC.hh:29
TPC::Error
@ Error
Definition XrdHttpTpcTPC.hh:31
TPC::Debug
@ Debug
Definition XrdHttpTpcTPC.hh:28
TPC::Warning
@ Warning
Definition XrdHttpTpcTPC.hh:30

## TpcType

enum class TPC::TpcType

strong

Enumerator
Pull |
Push |

Definition at line 35 of file XrdHttpTpcTPC.hh.

{
Pull,
Push
};
TPC::TpcType::Pull
@ Pull
Definition XrdHttpTpcTPC.hh:36
TPC::TpcType::Push
@ Push
Definition XrdHttpTpcTPC.hh:37